Get exchange transaction list
curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/exchange-transactions \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/exchange-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tag.alfa-bot.com/api/prod/v1/exchange-transactions")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tag.alfa-bot.com/api/prod/v1/exchange-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"count": 98,
"transactions": [
{
"transaction_id": "596762840923",
"network_to": "trx",
"network_from": "eth",
"currency_to": "USDT",
"currency_from": "USDC",
"status": "completed",
"amount_from": 12,
"amount_to": 11.987,
"fee": 0.011,
"rate": 0.9999,
"created_at": "2026-05-02 15:10:25.922888"
}
],
"result": "success"
}
}{
"code": "400",
"error_code": "request",
"error_message": "Validation failed: invalid filter or pagination parameters",
"data": {
"created_from": "Must be valid ISO 8601 date-time",
"created_to": "Must be valid ISO 8601 date-time",
"limit": "Maximum value is 300. Default value is 100",
"offset": "Must be greater than or equal to 0",
"sort_direction": "Allowed values: asc, desc"
}
}{
"code": "500",
"error_code": "system",
"error_message": "Unexpected server error. Please try again later.",
"data": null
}History
Get exchange transaction list
GET
/
exchange-transactions
Get exchange transaction list
curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/exchange-transactions \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/exchange-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tag.alfa-bot.com/api/prod/v1/exchange-transactions")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tag.alfa-bot.com/api/prod/v1/exchange-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"count": 98,
"transactions": [
{
"transaction_id": "596762840923",
"network_to": "trx",
"network_from": "eth",
"currency_to": "USDT",
"currency_from": "USDC",
"status": "completed",
"amount_from": 12,
"amount_to": 11.987,
"fee": 0.011,
"rate": 0.9999,
"created_at": "2026-05-02 15:10:25.922888"
}
],
"result": "success"
}
}{
"code": "400",
"error_code": "request",
"error_message": "Validation failed: invalid filter or pagination parameters",
"data": {
"created_from": "Must be valid ISO 8601 date-time",
"created_to": "Must be valid ISO 8601 date-time",
"limit": "Maximum value is 300. Default value is 100",
"offset": "Must be greater than or equal to 0",
"sort_direction": "Allowed values: asc, desc"
}
}{
"code": "500",
"error_code": "system",
"error_message": "Unexpected server error. Please try again later.",
"data": null
}Query Parameters
Response
OK - exchange transaction list was returned successfully